import { eventmit } from "eventmit";
import { defineNuxtPlugin } from "#imports";
export default defineNuxtPlugin(() => {
  const emitters = /* @__PURE__ */ new Map();
  function eventmitFactory(key, forceNew = false) {
    if (forceNew || !emitters.has(key)) {
      emitters.set(key, eventmit());
    }
    return emitters.get(key);
  }
  const refresh = () => emitters.clear();
  globalThis.$nuxtUnityEvent = eventmitFactory;
  return {
    provide: {
      nuxtUnityEvent: eventmitFactory,
      nuxtUnityRefresh: refresh
    }
  };
});
